This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 110310 - cannot set language per user
cannot set language per user
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 03:11 EST by Peter Bieringer
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 17:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2003-11-18 03:11:21 EST
Description of problem:
Looks like in FC1, it's im possible to set the language of KDE per user.
I'm running this machine in "init 3" normally, and user can start X by
"startx". Default LANG of the machine is en_US, also user wants to use
en_US for all, except the KDE menues.

On "Regional & Accessability/Country/Region and language" in the
control center, German is specified and this window also has German
menues (but not the others). A reselect and apply won't help.

A global switch to German will work, but not wanted, because the full
system now speaks German.

Version-Release number of selected component (if applicable):
kdebase-3.1.4-6

How reproducible:
Always

Steps to Reproduce:
1.Install FC1 with KDE
2.Install additional language package German
3.Start system in init 3
4.Log-in as user
5.Startx
6.Change KDE language
    

Actual Results:  Nothing happens

Expected Results:  KDE "speaks" selected language

Additional info:

Such setup (system=en_US, KDE = German) worked at least on RHL 7.3 and
afair also on RHL 9.

Was there some magic added now which prevents such setups?
BTW: also root can't select a new language successfully in the KDE
control center.
Comment 1 Peter Bieringer 2005-09-22 11:57:02 EDT
Is it possible that this bug is related to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=167344 ?
Comment 2 Need Real Name 2005-10-31 13:54:25 EST
Related to bug 172130.
Comment 3 Matthew Miller 2006-07-11 13:25:11 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 4 Peter Bieringer 2006-07-11 17:07:22 EDT
Hmm, I've switched to GNOME since around FC4 and have learnt about using ~/.i18n.

I don't know whether this is still a problem on newer FC releases, but it's
currently out-of-scope for me. Can be closed with "deferred" or something
similar for now.
Comment 5 Need Real Name 2006-07-13 17:36:09 EDT
Gnome provides no way for a user to specify their own language from withing
Gnome, however the GDM logon screen does, so..

Note You need to log in before you can comment on or make changes to this bug.